NX Open C++ Reference Guide
|
Blank Nesting Builder of PDW, EDW and Die Engineering. More...
Public Types | |
enum | LayoutTypeSpecification { LayoutTypeSpecificationRectangle, LayoutTypeSpecificationParallelogram, LayoutTypeSpecificationTrapezoid, LayoutTypeSpecificationOneUp, LayoutTypeSpecificationTwoUp, LayoutTypeSpecificationTwoPair } |
Specifies the layout type of blank nesting. More... | |
Public Member Functions | |
double | AngleResult () |
Returns the angle between processed blank and original blank. | |
double | AngleStep () |
Returns the angle increment to use when rotating the blank during the processing to find the best layout. | |
double | BlankArea () |
Returns the up datum face area that was found in the processing. | |
int | BoundarySegment () |
Returns the number of boundary segment. | |
double | HeightStep () |
Returns the distance increment to use when translating the blank in the vertical direction during the processing to find the best layout. | |
void | LayoutCalculation () |
The method to calculate maximum material utilization for the selected entities. | |
NXOpen::Tooling::BlankNestingBuilder::LayoutTypeSpecification | LayoutType () |
Returns the type of layout to use in the blank nesting processing. | |
double | MinimumDistance () |
Returns the minimum distance between the adjacent blanks. | |
double | PitchResult () |
Returns the distance between blanks that was found in the processing. | |
NXOpen::ScCollector * | SelectObject () |
Returns the selected entities making up the blank to be nested. | |
void | SetAngleResult (double angleResult) |
Sets the angle between processed blank and original blank. | |
void | SetAngleStep (double angleStep) |
Sets the angle increment to use when rotating the blank during the processing to find the best layout. | |
void | SetBlankArea (double blankArea) |
Sets the up datum face area that was found in the processing. | |
void | SetBoundarySegment (int boundarySegment) |
Sets the number of boundary segment. | |
void | SetHeightStep (double heightStep) |
Sets the distance increment to use when translating the blank in the vertical direction during the processing to find the best layout. | |
void | SetLayoutType (NXOpen::Tooling::BlankNestingBuilder::LayoutTypeSpecification layoutType) |
Sets the type of layout to use in the blank nesting processing. | |
void | SetMinimumDistance (double minimumDistance) |
Sets the minimum distance between the adjacent blanks. | |
void | SetPitchResult (double pitchResult) |
Sets the distance between blanks that was found in the processing. | |
void | SetStripWidthResult (double stripWidthResult) |
Sets the strip width. | |
void | SetUtilization (double utilization) |
Sets the maximum material utilization of the blank. | |
void | SetWebDistance (double webDistance) |
Sets the distance between the blank and the strip. | |
double | StripWidthResult () |
Returns the strip width. | |
double | Utilization () |
Returns the maximum material utilization of the blank. | |
double | WebDistance () |
Returns the distance between the blank and the strip. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Blank Nesting Builder of PDW, EDW and Die Engineering.
No object is returned by this builder.
To create a new instance of this class, use Tooling::BlankNestingCollection::CreateBlankNestingBuilder
Default values.
Property | Value |
---|---|
AngleResult |
0 |
AngleStep |
25 |
BlankArea |
0 |
BoundarySegment |
200 |
HeightStep |
25 |
LayoutType |
Rectangle |
MinimumDistance |
0 |
PitchResult |
0 |
StripWidthResult |
0 |
Utilization |
0 |
WebDistance |
0 |
Created in NX8.5.0.
Specifies the layout type of blank nesting.
double NXOpen::Tooling::BlankNestingBuilder::AngleResult | ( | ) |
Returns the angle between processed blank and original blank.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::AngleStep | ( | ) |
Returns the angle increment to use when rotating the blank during the processing to find the best layout.
The angle is specified in degrees.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::BlankArea | ( | ) |
Returns the up datum face area that was found in the processing.
Created in NX8.5.0.
License requirements : None
int NXOpen::Tooling::BlankNestingBuilder::BoundarySegment | ( | ) |
Returns the number of boundary segment.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::HeightStep | ( | ) |
Returns the distance increment to use when translating the blank in the vertical direction during the processing to find the best layout.
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::BlankNestingBuilder::LayoutCalculation | ( | ) |
The method to calculate maximum material utilization for the selected entities.
Created in NX8.5.0.
License requirements : None
NXOpen::Tooling::BlankNestingBuilder::LayoutTypeSpecification NXOpen::Tooling::BlankNestingBuilder::LayoutType | ( | ) |
Returns the type of layout to use in the blank nesting processing.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::MinimumDistance | ( | ) |
Returns the minimum distance between the adjacent blanks.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::PitchResult | ( | ) |
Returns the distance between blanks that was found in the processing.
Created in NX8.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::BlankNestingBuilder::SelectObject | ( | ) |
Returns the selected entities making up the blank to be nested.
Created in NX8.5.0.
License requirements : None
void NXOpen::Tooling::BlankNestingBuilder::SetAngleResult | ( | double | angleResult | ) |
Sets the angle between processed blank and original blank.
Created in NX8.5.0.
License requirements : None
angleResult | angleresult |
void NXOpen::Tooling::BlankNestingBuilder::SetAngleStep | ( | double | angleStep | ) |
Sets the angle increment to use when rotating the blank during the processing to find the best layout.
The angle is specified in degrees.
Created in NX8.5.0.
License requirements : None
angleStep | anglestep |
void NXOpen::Tooling::BlankNestingBuilder::SetBlankArea | ( | double | blankArea | ) |
Sets the up datum face area that was found in the processing.
Created in NX8.5.0.
License requirements : None
blankArea | blankarea |
void NXOpen::Tooling::BlankNestingBuilder::SetBoundarySegment | ( | int | boundarySegment | ) |
Sets the number of boundary segment.
Created in NX8.5.0.
License requirements : None
boundarySegment | boundarysegment |
void NXOpen::Tooling::BlankNestingBuilder::SetHeightStep | ( | double | heightStep | ) |
Sets the distance increment to use when translating the blank in the vertical direction during the processing to find the best layout.
Created in NX8.5.0.
License requirements : None
heightStep | heightstep |
void NXOpen::Tooling::BlankNestingBuilder::SetLayoutType | ( | NXOpen::Tooling::BlankNestingBuilder::LayoutTypeSpecification | layoutType | ) |
Sets the type of layout to use in the blank nesting processing.
Created in NX8.5.0.
License requirements : None
layoutType | layouttype |
void NXOpen::Tooling::BlankNestingBuilder::SetMinimumDistance | ( | double | minimumDistance | ) |
Sets the minimum distance between the adjacent blanks.
Created in NX8.5.0.
License requirements : None
minimumDistance | minimumdistance |
void NXOpen::Tooling::BlankNestingBuilder::SetPitchResult | ( | double | pitchResult | ) |
Sets the distance between blanks that was found in the processing.
Created in NX8.5.0.
License requirements : None
pitchResult | pitchresult |
void NXOpen::Tooling::BlankNestingBuilder::SetStripWidthResult | ( | double | stripWidthResult | ) |
Sets the strip width.
Created in NX8.5.0.
License requirements : None
stripWidthResult | stripwidthresult |
void NXOpen::Tooling::BlankNestingBuilder::SetUtilization | ( | double | utilization | ) |
Sets the maximum material utilization of the blank.
Created in NX8.5.0.
License requirements : None
utilization | utilization |
void NXOpen::Tooling::BlankNestingBuilder::SetWebDistance | ( | double | webDistance | ) |
Sets the distance between the blank and the strip.
Created in NX8.5.0.
License requirements : None
webDistance | webdistance |
double NXOpen::Tooling::BlankNestingBuilder::StripWidthResult | ( | ) |
Returns the strip width.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::Utilization | ( | ) |
Returns the maximum material utilization of the blank.
Created in NX8.5.0.
License requirements : None
double NXOpen::Tooling::BlankNestingBuilder::WebDistance | ( | ) |
Returns the distance between the blank and the strip.
Created in NX8.5.0.
License requirements : None